/*
    <one line to give the program's name and a brief idea of what it does.>
    Copyright (C) 2010  Rico Rommel

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#include "logindialog.h"

LoginDialog::LoginDialog(QString databasename, QString hostname, QWidget* parent, Qt::WFlags flags): KDialog(parent, flags)
{
  QWidget *widget = new QWidget( this );
  ui.setupUi(widget);
  setMainWidget( widget );
  setConnectionData(databasename, hostname);
  enableButtonOk(false);
  connect(ui.UserEdit,SIGNAL(textChanged(QString)),this,SLOT(inputChanged(QString)));
}

LoginDialog::~LoginDialog()
{
  
}

void LoginDialog::inputChanged(QString text)
{
  if (!text.isEmpty()) 
    enableButtonOk(true);
}

QString LoginDialog::password()
{
  return ui.PasswordEdit->text();
}

QString LoginDialog::user()
{
  return ui.UserEdit->text();
}

void LoginDialog::setConnectionData(QString databasename, QString hostname)
{
  ui.desc->setText(i18n("Enter username and password for Database \"%1\" on host \"%2\"!", databasename, hostname));
}
bool LoginDialog::savePassword()
{
 return ui.KWalletCheckBox->checkState();
}

